# Generate Simulation Report

Generates a report for the specified simulation. The report can either provide an overview or focus on a specific run of the simulation, depending on the parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

This endpoint generates a report on simulation results, including Prevention and Detection details. The report can either provide an overall simulation overview or focus on a specific simulation run.

To generate an overview report for all simulations, set the type parameter to overview.

To generate a report for a specific simulation run, set the type parameter to run, and specify the runId parameter as either:
• latest – Generates a report for the most recent simulation run.
• A specific runId – Generates a report for the specified simulation run.

The report can be generated in CSV or PDF format, based on the format parameter.

Examples

Generate a PDF report for the overall overview of the simulation with id 1 (With prevention and detection results)

curl --request POST \
     --url 'https://api.picussecurity.com/v2/simulations/1/results/reports?type=overview' \
     --header 'Authorization: Bearer access_token' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "format": [
    "PDF"
  ],
  "includesSensitiveData": true,
  "onlyPrevention": false
}
'
[
  {
    "id": 1,
    "status": "IN PROGRESS",
    "format": "PDF"
  }
]

Generate a CSV report for the latest run of the simulation with id 1 (With only prevention results)

curl --request POST \
     --url 'https://api.picussecurity.com/v2/simulations/1/results/reports?type=run&runId=latest' \
     --header 'Authorization: Bearer access_token' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "format": [
    "CSV"
  ],
  "includesSensitiveData": true,
  "onlyPrevention": true
}
'
[
  {
    "id": 1,
    "status": "IN PROGRESS",
    "format": "CSV"
  }
]

Generate both CSV and PDF reports for the specific run of the simulation with id 1

curl --request POST \
     --url 'https://api.picussecurity.com/v2/simulations/1/results/reports?type=run&runId=1' \
     --header 'Authorization: Bearer access_token' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "format": [
    "CSV",
    "PDF"
  ],
  "includesSensitiveData": false,
  "onlyPrevention": false
}
'
[
    {
        "id": 1,
        "status": "COMPLETED",
        "format": "CSV"
    },
    {
        "id": 2,
        "status": "IN PROGRESS",
        "format": "PDF"
    }
]
Path Params
uint64
required

Simulation ID

Query Params
string
required

Type of the report. One of: 'run' | 'overview'

string

Id of the run or 'latest'. Required if type is 'run'

Body Params
format
array of strings

Corresponding report will be generated for each format specified. Available formats: PDF, CSV

format
boolean

If false, generated report will display threat information with access links (Only for CSV reports)

boolean

If true, generated report will include only prevention results

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json